QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Get all product types

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    refreshstringqueryNoSend false when using server cache is fine
    Responses

    200
    Expected data returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    dataarray
    data[].namestring
    data[].categorystring
    data[].categoryIdstring
    data[].familystring
    data[].familyIdstring
    data[].productTypeIdstring
    data[].typestring
    data[].maxNbOfPcsinteger
    data[].maxNbOfRefsinteger
    data[].maxNbOfPtsinteger
    successbooleanWhether the lookup succeeded.
    {
      "message": null,
      "content": {
        "data": [
          {
            "name": "Scallops / clams",
            "category": "Food & Food containers",
            "categoryId": "bigCat8",
            "family": "Seafood Processed",
            "familyId": "bigCat8_s103",
            "productTypeId": "bigCat8_s103_t11",
            "type": "General",
            "maxNbOfPcs": 50,
            "maxNbOfRefs": 0,
            "maxNbOfPts": 0
          }
        ],
        "success": true
      }
    }

    Content-Type: application/json

    GET
    /parameter/v2/product-types
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": { "data": [ { "name": "Scallops / clams", "category": "Food & Food containers", "categoryId": "bigCat8", "family": "Seafood Processed", "familyId": "bigCat8_s103", "productTypeId": "bigCat8_s103_t11", "type": "General", "maxNbOfPcs": 50, "maxNbOfRefs": 0, "maxNbOfPts": 0 } ], "success": true } }